%define module  Crypt-OpenSSL-DSA
%define name	perl-%{module}
%define version	0.13
%define release	%mkrel 6

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Digital Signature Algorithm using OpenSSL
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/T/TJ/TJMATHER/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
BuildRequires:	perl-devel
BuildRequires:	openssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Crypt::OpenSSL::DSA implements the DSA 
(Digital Signature Algorithm) signature verification system.

It is a thin XS wrapper to the DSA functions contained in the 
OpenSSL crypto library, located at http://www.openssl.org

%prep
%setup -q -n %{module}-%{version} 
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%make

%check
%{__make} test

%install
rm -rf %{buildroot} 
%makeinstall_std

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{_mandir}/*/*



%changelog
* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.13-6mdv2009.0
+ Revision: 256273
- rebuild

* Thu Jan 24 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.13-4mdv2008.1
+ Revision: 157725
- Rebuild for new perl

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.13-2mdv2008.1
+ Revision: 131425
- kill re-definition of %%buildroot on Pixel's request


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-2mdv2007.0
- Rebuild

* Mon Nov 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdk
- New release 0.13
- fix sources URL
- spec cleanup

* Tue Jun 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.12-2mdk
- Fix Url according to Perl policy( thanks guillomovitch )

* Tue Jun 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.12-1mdk
- 0.12
- Fix Description
- Fix Source url
- Fix Url
- %%mkrel

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.11-6mdk
- Rebuild for new perl

* Thu Apr 01 2004 Michael Scherer <misc@mandrake.org> 0.11-5mdk
- do not own standard dir
- [DIRM]

